---
layout: markdown_page
title: GitLab releases
description: "On this page you can find information on official GitLab Releases. Learn more!"
canonical_path: "/releases/"
extra_css:
  - releases.css
---

GitLab has been releasing on the 22nd of the month for the last <%= count %> months straight!

There are a number of ways you can find out about the latest releases and their features:

- Go to the [GitLab project releases page](https://gitlab.com/gitlab-org/gitlab/-/releases) to learn about recent features in our official GitLab releases.
- Visit the [releases blog](/releases/categories/releases/) to view release posts, including patch release posts.
- Use the [What's new feature](https://docs.gitlab.com/ee/administration/whats-new.html) while you're using GitLab to discover new features.
- Go to the [GitLab.com release page](/releases/gitlab-com/) for information about the features and current release on [GitLab.com](https://gitlab.com).
- Check the changelogs:
  - [GitLab Community Edition](https://gitlab.com/gitlab-org/gitlab-foss/blob/master/CHANGELOG.md)
  - [GitLab Enterprise Edition](https://gitlab.com/gitlab-org/gitlab/blob/master/CHANGELOG.md)
  - [GitLab Runner](https://gitlab.com/gitlab-org/gitlab-runner/blob/master/CHANGELOG.md)
- Compare the feature changes between two different releases by using the [Release Feature & Deprecation Overview page](https://gitlab-com.gitlab.io/cs-tools/gitlab-cs-tools/what-is-new-since/). Due to the large number of improvements in each release, you can export the information to CSV.

To learn how to update your self-managed instance so you can take advantage of new features, see the [update documentation](https://docs.gitlab.com/ee/update/).

Changes prior to GitLab 8.0 are available [in the archive](https://gitlab.com/gitlab-org/gitlab-ce/blob/master/changelogs/archive.md).

Find out what we're planning to release in future by:

- Viewing the most important features of upcoming releases on the [upcoming releases page](/upcoming-releases/).
- Viewing [upcoming features by product tier](/direction/paid_tiers/).

To learn more about how our releases work, see the [monthly release template](https://gitlab.com/gitlab-org/release-tools/blob/master/templates/monthly.md.erb) in the [release tools repository](https://gitlab.com/gitlab-org/release-tools/tree/master).
